#### Previous topic

scipy.interpolate.splint

#### Next topic

scipy.interpolate.spalde

# scipy.interpolate.sproot

`scipy.interpolate.``sproot`(tck, mest=10)

  Find the roots of a cubic B-spline.

  Given the knots (>=8) and coefficients of a cubic B-spline return the roots of the spline.

  Parameters:

  tck : tuple

  > A tuple (t,c,k) containing the vector of knots, the B-spline coefficients, and the degree of the spline. The number of knots must be >= 8, and the degree must be 3. The knots must be a montonically increasing sequence.

  mest : int, optional

  > An estimate of the number of zeros (Default is 10).

  Returns:

  zeros : ndarray

  > An array giving the roots of the spline.

  See also

  `splprep`, `splrep`, `splint`, `spalde`, `splev`, `bisplrep`, `bisplev`, `UnivariateSpline`, `BivariateSpline`

  References

  [R77] | C. de Boor, “On calculating with b-splines”, J. Approximation Theory, 6, p.50-62, 1972.

  [R78] | M.G. Cox, “The numerical evaluation of b-splines”, J. Inst. Maths Applics, 10, p.134-149, 1972.

  [R79] | P. Dierckx, “Curve and surface fitting with splines”, Monographs on Numerical Analysis, Oxford University Press, 1993.